/******************************************************
** Copyright 2005 Earth Resource Mapping Ltd.
** This document contains proprietary source code of
** Earth Resource Mapping Ltd, and can only be used under
** one of the three licenses as described in the 
** license.txt file supplied with this distribution. 
** See separate license.txt file for license details 
** and conditions.
**
** This software is covered by US patent #6,442,298,
** #6,102,897 and #6,633,688.  Rights to use these patents 
** is included in the license agreements.
** 
** FILE:   	 NCSGDTLocation.h
** CREATED:  06 Jan 2005
** AUTHOR:   Tom Lynch
** PURPOSE:  Establish an application wide way of controlling the location of GDT data
**
** EDITS:    [xx] ddMmmyy NAME COMMENTS
**			 [01] 06Jan05 tfl  File first committed
** 
*******************************************************/

#ifndef NCSGDTLOCATION_H
#define NCSGDTLOCATION_H

#include "NCSMutex.h"

class CNCSGDTLocation
{
public:
	CNCSGDTLocation() {}
	~CNCSGDTLocation() {}
	static void SetPath(const char *szPath);
	static char *GetPath();
	static void SetGuessPath(BOOLEAN bGuessPath) {sm_bGuessPath = bGuessPath;}
	static BOOLEAN GetGuessPath() {return sm_bGuessPath;}
	virtual void DetectPath();

protected:
	virtual BOOLEAN IsValidPath(const char *szPath) = 0;
	virtual char *GuessPath();

private:
	static char sm_szGDTPath[MAX_PATH];
	static CNCSMutex sm_PathMutex;
	static BOOLEAN sm_bGuessPath;
};

#endif